import type { RefObject } from "react";
export declare function useAnimation<T extends "fade" | "fadeFromDirection", U extends HTMLElement = any>(params: {
    animationDuration?: number;
    animationDelay?: number;
    rootMargin?: string;
    animationType: T;
    triggerOnPageLoad?: boolean;
}): T extends "fade" ? {
    rootRef: RefObject<U>;
    animate: () => void;
} : T extends "fadeFromDirection" ? {
    rootRef: RefObject<U>;
    animate: (params: {
        direction: "left" | "right" | "top" | "bottom" | "topLeft" | "topRight" | "bottomLeft" | "bottomRight";
    }) => void;
} : never;
